VirtualDrive

VirtualDriveä

Personal Edition Version 7

For Windows 98/Me/NT4/2000/XP

Help

Copyright Notice

No part of this publication may be copied, transmitted, stored in a retrieval system, or translated into any language in any form or by any means without the expressed written permission of FarStone Technology Inc.

FarStone grants you the right to use one copy of the enclosed software program ("SOFTWARE") on a single computer. If the SOFTWARE is installed on a network, or more than one user can run the SOFTWARE at the same time, you must purchase an additional license for each additional user or computer.

Trademarks

FarStone™, VirtualDrive™, and VirtualDrive Network™ are trademarks of FarStone Technology Inc. Rapid Cache® is a registered trademark of FarStone Technology Inc. Microsoft Ò, Windows Ò and MS-DOS Ò are registered trademarks of Microsoft Corporation. Other product names mentioned in this User’s Guide may be trademarks or registered trademarks of their respective companies.

FarStone Technology Inc.

America Headquarters:
15550-B Rockfield Blvd., Suite 100,
Irvine, CA 92618
Tel: (949) 458-3666
Fax: (949) 458-3633
Taipei Headquarters:
6 F, 101 Chow Tze Street.
Taipei 114, Taiwan.
Tel: +886-2-2627-1234
Fax: +886-2-2627-1233

Technical support:

Please contact your retailer or use our online support system at www.farstone.com.

For your convenience, you will find answers to frequently asked questions on our website at www.farstone.com. Follow the links to the support section.

Copyrightã1998-2001 FarStone Technology Inc. All rights reserved.

Rapid Cache ® Copyright ã 1993-2001 FarStone Technology Inc.


Chapter 1 Introduction

1.1 What is VirtualDriveTM

VirtualDriveTM is revolutionary software that emulates a physical CD drive. A VirtualDriveTM works the same as a physical CD drive in Windows.

You can create an unlimited number of virtual CDs (VCDs) and run up to 23 Virtual Drives. You do not need to physically insert a CD and wait for the disc to spin up - you simply double-click the VCD icon. Another great advantage, you no longer need to swap discs while playing multiple CD games. Just pre-load all the VCDs you will need and enjoy.

Figure 1.1a

Figure 1.1a, above, shows VirtualDriveTM emulating 5 CD drives - drive H, J, K, L and drive M. The left pane lists each VirtualDriveTM and drive letter with the Description of the currently loaded VCD. The right pane displays all VCDs available. To insert a VCD into a VirtualDriveTM, simply double-click a VCD icon.


1.2 Features and Benefits

1. Supports most disc formats, including

CD-ROM, Audio CD, DVD-ROM, DVD-Video, Video CD, Mixed-Mode CD and Photo CD.

2. Faster than a 200X CD-ROM drive

Runs CD-ROM software directly from the hard drive at a speed much greater than a 200X CD-ROM drive.

3. Easy Management

VirtualDriveä converts the entire CD contents into a single VCD file on the hard drive. Disc and file management is greatly simplified.

4. Compression

VirtualDriveä incorporates a high-performance compression engine for building VCD files. Compressed VCD files are automatically decompressed when accessed.

6. Ideal for Notebooks

You don’t need to carry around your CDs and the battery of your notebook will not run down as fast.

7. Removable Drives

Save VCD files on any removable media. You can also create custom VCDs from files on removable media, such as Magneto-Optical (MO) disk. You can also burn VCDs to a CD like you do other files.

8. Network Capable

Some CD applications only run (lock) from a CD drive and will not run on a mapped network drive. With VirtualDrive, VCDs can be shared across the network without the need to map network drives.

9. Rapid Cache VirtualDriveTM comes with Far Stone's Rapid Cache® CD caching system, utilizing the latest incremental caching technology. Rapid Cache can increase VCD and CD performance.

10. CD properties browser and CD drive evaluation tools

Evaluate the transfer rate and access time for your CD drive(s) under Windows. Inspect abilities of your CD drives, such as ADPCM, audio channels, addressing, interleave, as well as media and vendor information.

11. Creates Virtual CDs from Selected Files

Customize your own VCDs with selected files from your CD or hard drives. VCDs you compile yourself can be configured to automatically run when inserted in a VirtualDriveä.

12. Organization

Organizing and managing your CDs couldn't be easier.

13.Runs Multiple CDs Simultaneously

Run multi CDs at the same time. For example: You may browse Great Britain Encyclopedia in a VirtualDrive while checking new words from dictionary in another, at

the same time, you can enjoy music from a CD in physical CD-ROM.

14.Automatically recognize CD format

VirtualDrive can distinguish the type and format of the CD is compressing, and run the correct program.

15.Hot keys

Once user appoint hot key for a VCD file, you can insert VCDs by clicking this key.

16.MP3

If Windows Media Player MP3 subassembly or other MP3 code/decode programs are installed in system, you may compress audio CD into MP3 files.


Chapter 2 Installation

2.1 System requirements

· Windows 98/Me/NT4/2000/XP

· CD drive

· 25MB of hard disk space

· Intel Pentium (or compatible) 233MHz processor or better

Note: A virtual CD drive does not take any appreciable amount of hard drive space. However, 19KB of RAM is reserved for each VirtualDrive when a VCD is inserted.


2.2 Installing VirtualDrive

Step 1 Close any applications that may be running before starting the installation.

Step 2 Insert the VirtualDrive CD into your CD drive. The Setup program should start automatically. If the “auto-run” function doesn’t work, please run the setup.exe file directly. This file is located in your VirtualDrive application CD.

Similarly, if you are installing from a network or hard disk, double click 'setup.exe' to launch the installation program. A installer window will pop up.

Note: Windows Me、 Windows 2000、Windows XP come out with Windows Installer, so install program will skip installing Windows Installer in these systems.

Step 3 After the Windows installation program has configured your system the VirtualDrive installation wizard will be launched. Click on Next to continue.

Step 4 Carefully read the Software License Agreement. If you accept the terms of the agreement then click on the ‘I Accept the License Agreement’ radio box then Next to continue.

Step 5 Enter your Serial Number. If you have purchased the CD-ROM then, the Serial Number can be found on the back of the CD jewel case.

Step 6 The Install Wizard will suggest a folder to install the VirtualDrive program files. If you would like to store the program files in another location, click on the Change button to open the file browser and select a new folder.

Step 7 Click on Finish to end the installation of the VirtualDrive program files. You can launch VirtualDrive Manager and create the shortcut after the installation completed by selecting the checkbox.


Chapter 3 Starting VirtualDrive

3.1 The VirtualDrive Manager

After installation, the VirtualDrive icon will be displayed in the Windows system tray, near the clock. Double-click or right-click the icon and select VirtualDrive Manager from the popup menu to run VirtualDriveTM Manager.

VirtualDrive can also be launched by selecting Start on taskbar then Programs\VirtualDrive\VirtualDrive Manager.


3.2 Frequently Used Buttons

Insert

Inserts a VCD into a VirtualDrive. Double-clicking on the VCD icon in VirtualDriveä Manager has the same effect.

Eject

Ejects a VCD out of a VirtualDrive.

Build VCD

Converts the contents of a CD into a VCD file. Supports CD-ROM, Audio CD, DVD-ROM, DVD-Video,Video CD, Mixed-Mode CD and Photo CD.

Build Customized VCD

Converts a selection of files into a VCD file.

Set Drives

Sets the number of Virtual Drives

Add VCD

Adds additional Virtual Drive

Delete VCD

Removes VCDs from Virtual Drive


Chapter 4 Building a VCD (Virtual CD)

4.1 Building VCDs from the CD drive

To use VirtualDrive, you first create an image of a CD on your hard drive. This image is known as a Virtual CD or VCD. You can build a VCD from almost any type of CD, including:

· CD-ROM | · Audio CD
· DVD-ROM | · Video CD
· Mixed Mode CD | · Photo CD
· DVD-Video |

VirtualDrive 7 supports DVD-ROM games, encyclopedias, multi-media content, and other very large file formats.

You build a VCD using one of the 5 following methods.

(a) Click the Build [image] button on the toolbar.

(b) Select File from the menu bar and choose Build.

(c) Right Click the VirtualDrive icon in the System tray and select Build VCD from the popup menu.

(d) Use shortcut key Ctrl+B.

(e) Opening Windows Explorer and right click the inserted physical drive and select Build VCD File from the popup menu (Figure 4-1).

(Figure 4-1)

If you are using CD-ROM, DVD-ROM, Video CD, DVD-Video, or Photo CD to build, please follow the steps below.

Step 1. Select the physical CD drive then click on Next.

Step 2 Verify the selected hard drive has sufficient ‘Free Space’ (Figure 4-1a) to store the new VCD then use the File Browser to select a location to save the VCD. Give the new VCD file a name. If no new name is entered, the new VCD will use the name of the folder in which it is to be stored as the VCD file name.

Figure 4-1a

Step 3 Select the CD Read method and to use data compression if desired.

The default read method is 'Normal' and is successful for most CD formats. However, because some CDs contain inaccurate volume information, use the 'Intelligent extraction' if a VCD has been successfully built but does not run as expected. Using Data Compression will save hard disk space but will also require a longer VCD build time.

Step 4 Enter a Description of the new VCD in the Description box (Figure 4-1b)

Figure 4-1b

Step 5 (optional) If the CD does not have an Auto-Run then you can specify a program to run when the VCD is inserted. You can use the Browse button [image] to locate the executable program.

Step 6 (optional) Choose whether or not to eject the CD from the CD drive once the Build is complete by checking the ‘Eject the VCD on completion of the Build process’ box (Figure .4-1b above). Click on Next to continue.

Step 7 Virtual Drive will then display the attributes of the VCD about to be created. Click on Next to begin the building.

Step 8 When the VCD has been successfully built, click on OK to exit the Build popup then click on Finish to close the VCD Build window (Figure 4-1c).

Figure 4-1c


4.2 Building VCDs from Other Selected Files

Create a VCD from files on your hard drive by any of the following methods.

1. Click on the Customize button on the [image] toolbar

2. Select File from the menu bar and choose Customized.

3. Right click the VirtualDrive icon in the System tray and selecting Customized from the popup menu.

4. Open Windows Explore, right click on the selected files or folders and select Build VCD File from the popup menu (Figure 4-2).

(Figure 4-2)

Then follow the steps as described below.

Step 1 Add the files/folders you want included in the new VCD.

There are three ways in which files can be added to the VCD.

Method 1 Drag and drop selected files into left frame of the Creator window

Method 2 Copy and paste the files into the left frame of the Creator window.

Method 3 Click the Add [image] button to open the VirtualDrive file manager.

From here, files or folders may be added to the VCD by either double clicking on the file or folder or by selecting the file/folder then clicking on the Open button.

VirtualDrive TM supports VCD files up to 2 giga-byte in size and can contain up to 32,767 distinct files.

*Please note that VCD files created using this method are subject to the ISO9660 standard. See Appendix-Notes for details.

The current attributes of the new VCD (Figure 4-2b) can viewed by selecting ->View->properties

Figure 4-2b

Step 2 Give the new VCD a name

Once you have finished adding files, click the Build [image] button.

You will be prompted to give the new virtual CD file a name. Enter the name and click Save to open the VCD Build window (Figure 4-2c).

Figure 4-2c

Step 3 You may check build process in above figure.

Note: The virtual CD creation process may take from several minutes to several hours in some cases to complete. The time required is largely dependent on the number of directories and files and the size of each file that are to be converted into the virtual CD.


4.3 Building VCDs from Audio CDs

To create an audio VCD, open the Build VCD dialog box by 5 methods.

(a) Click on the Build button [image] on the toolbar.

(b) Select File from the menu bar and choose Build from the drop menu

(c) Right click on the VirtualDrive icon in the System tray and select Build.

(d) Using shortcut key Ctrl+B.

(e) Open Windows Explore, right click on the inserted physical drive and select Build VCD File from the popup menu (Figure 4-3).

(Figure 4-3)

Then follow the steps as described below.

Note: VirtualDrive will automatically detect the CD type and run the Build Audio VCD process.

Step 1. Select the physical CD drive then click on Next.

Step 2 Check that selected hard drive has sufficient ‘Free Space’ (Figure 4-3a) to store the new VCD.

Figure 4-3a

Step 4 Use the File Browser [image] button (Figure 4-3a) to select a location to save the VCD.

Step 5 Give the new VCD file a name and click on Next (Figure 4-3a).

Note: If no new name is entered then the new VCD will use the name of the folder in which it is to be stored, as the VCD file name.

Step 6 Select the tracks you want to include on the Audio VCD by clicking on the check boxes of Tracks column.

Note: If the CD player is running the Track selection will not be able to view the track list.

Figure 4-3b

Step 7 Set the Preview track

If you don’t need to build all tracks, you can click on the Preview track play [image] button to select which track you like to build and click on the Volume [image] button to set the Preview track’s level (Figure 4-3b above). when you select one track and click on the Preview track play [image] button, you can see the track’s playing progress bar from Progress.

Step 8 Select a Name for the quality and audio compression format. Figure 4-3f shows a range of recording quality settings provided by the Windows operating system.

Figure 4-3c

You can also save your own custom audio settings by selecting a Format and Attribute from the drop boxes

Audio settings-Step 1 In the “Format” drop list, select an appropriate audio compression format (Figure 4.3d).

Figure 4-3d

If you have installed Microsoft Windows Media Player MP3 groupware or other including MP3 coding/decoding links storeroom, you can select MPEG Layer-3 In the Format drop list (Figure 4-3e) and build selected tracks as MP3 Format Audio VCD.

Figure 4-3e

Audio settings-Step 2 Select the sound recording sample quality (Figure 4-3f).

Figure 4-3f

Audio settings-Step 3 Save your settings.

Any combination of settings provided in the "Sound Selection" window can be saved to a file by clicking on the "Save As" button and giving your custom audio settings a Name. The next time you open the "Sound Selection" window this name will be presented as a choice in the "Name" selection box.

Step 9.Add a description for the new Audio VCD.

Note: This is not the VCD file name.

Figure 4-3i

Step 10 To Auto-Run the Audio VCD when it is inserted into a VirtualDrive, you should specify a program to run when the VCD is loaded. To do this, click on the file Browser [image] button and select an appropriate multi-media program.

Figure 4-3i above, shows the Windows Cdplayer.exe has been chosen to play the Audio VCD.

Step 11. Check the 'Eject the VCD' check box (Figure 4-3i above) if you want the CD to be ejected from the CD drive. When the Build has competed, then click on Next to open the System Settings dialog. From here you can review the chosen VCD attributes. To continue, click on Next to open the Build VCD window (Figure 4-3j).

Step 12 If any audio player application is using physical drive, close it now and begin building the Audio VCD.

Figure 4-3j

Step 13 With the VCD successfully built, click on OK to exit the Build popup then click on Finish to close the VCD Build window (Figure 4-3k).

Figure 4-3k


4.4 Building VCDs from Mixed Mode CDs

To create a Mixed Mode VCD, open the Build VCD dialog box by 5 methods.

(a) Click on the Build VCD button [image] on the toolbar.

(b) Select File from the menu bar and choose Build from the drop menu.

(c) Right click on the VirtualDrive icon in the System tray and selects Build.

(d) Using the shortcut key Ctrl+B.

(e) Open Windows Explorer, right click on the inserted physical drive and select Build VCD File from the popup menu (Figure 4-4).

(Figure 4-4)

Then follow the steps as described below.

Step 1. Select the physical CD drive then click on Next.

Step 2 Check that selected hard drive has sufficient ‘Free Space’ (Figure 4-4a) to store the new VCD, Then use the File Browser to select a location to save the VCD and give the new VCD file a name. If no new name is entered then the new VCD will use the name of the folder in which it is to be stored, as the VCD file name.

Figure 4-4a

Step 3 Select the CD Read method and the CD Record method (Figure 4-4b).

Figure 4-4b

The default read method is 'Normal' and is successful for most CD formats however, because some CDs contain inaccurate volume information, use the 'Intelligent extraction' method if a VCD has been successfully built but does not run properly. Using Data Compression will save hard disk space but will require a longer VCD build time.

If only selecting ‘Record Data Tracks’, Will build the Data Tracks of the selected Mixed Mode CDs only. If only selecting ‘Record Audio Tracks’, Will build the Audio Tracks of the selected Mixed Mode CDs as background music only. If selecting both ‘Record Data Tracks’ and ‘Record Audio Tracks’, Will build the Data Tracks and Audio Tracks of the selected Mixed Mode CDs.

Step 4 Set the Preview track

As long as you have selected ‘Record Audio Tracks’ and click Next button, will open ‘Select Tracks’ box (Figure 4-4c). If only selecting ‘Record Audio Tracks’, will skip step 4 and enter step 5.

If you don’t need all Audio tracks, you can click on the Preview track play [image] button to select which track you like to build and click on the Volume [image] button to set the Preview track’s level. When you select one track and click on the Preview track play [image] button, you can see the track’s playing progress bar from Progress.

Figure 4-4c

Step 5 Enter a Description of the new VCD in the Description box (Figure 4-4d)

Figure 4-4d

Step 6 (optional) If the CD does not have an Auto-Run then you can specify a program to run when the VCD is inserted.You can use the Browse [image] button to locate the executable program.

Step 7 (optional) Choose whether or not to eject the CD from the CD drive once the Build is complete by checking the ‘Eject the VCD on completion of the Build process’ box (Figure .4-4d above). Click on Next to continue.

Step 8 Virtual Drive will then display the attributes of the VCD about to be created. Click on Next to open the Build window.

Step 9 You can check the building process in following window

Step 10 With the VCD is successfully built, click on OK to exit the Build popup then click on Finish to close the VCD Build window (Figure 4-4e).

Figure 4-4e


4.5 Converting an ISO 9660 image file into a VCD file

4.5 Interconversion between an ISO 9660 image file and a VCD file

You may convert an ISO 9660 image file into a VCD file as well as convert a VCD file into an ISO 9660 image file.

Step 1 Select File on the menu bar, then Convert from the drop menu to open the Convert file window (figure 4-5a).

4-5a

Step 2 Select the ISO file or VCD file and click on convert to start the conversion.

Note: Audio VCD, DVD, compressed VCD file can't convert into ISO file.


Chapter 5 Getting Around in VirtualDrive

5.1 Inserting a VCD

There are several different ways to insert a VCD file.

Method 1 - Click on a VCD to select it then click on the Insert [image] button.

Method 2 - If no VirtualDrive is highlighted, double-clicking on a VCD icon will insert the VCD into an available drive.

Note: If a Default drive has been specified for the VCD, The VCD will be loaded into that drive. If the drive already contains a VCD then that VCD will be ejected and the currently selected VCD inserted.

Method 3 - Click and drag a VCD icon over to a VirtualDrive.

Note: If the VirtualDrive already has a VCD loaded then the loaded VCD will be Ejected and replaced by the current selection

Method 4 - Select the VCD icon then select Edit on the menu bar then Insert from the drop menu.

Method 5 - Right-click on a VCD icon then select Insert from the pop-up menu.

Method 6 – Right-click on the VirtualDrive icon in the System tray and selects Insert VCD.

Method 7 – Open Windows Explorer, right click on the Virtual drive and select Insert from the popup menu (Figure 5-1a).

Figure 5-1a

If VCD files’ number are over 9, clicking on the More to select other VCD files (Figure 5-1b).

Figure 5-1b

Method 8 – Open Windows Explorer, right click on the VCD File and select Insert from the popup menu (Figure 5-1c).

Figure 5-1c

Method 9 – In Virtual Drive Manager, Select a VCD file icon and clicking on the Insert key from the keyboard.

Method 10 – Specify a Hot-Key for inserting a VCD file and use the Hot-Key to insert that VCD file.


5.2 Ejecting a VCD

Method 1 - Click on the loaded VirtualDrive, then select Edit on the menu bar and Eject from the drop menu.

Method 2 - Drag and drop the loaded VirtualDrive to anywhere in right pane.

Method 3 - Right-click on the loaded VirtualDrive, then select Eject from the pop-up menu.

Method 4 - Click on an inserted VCD to select it then click on the Eject [image] button .

Method 5 - Right-click on the VirtualDrive icon in the System tray and selects Eject VCD.

Method 6 - Click on an inserted VCD to select it then clicking on the Delete key from the keyboard.

Method 7 - Opening windows explore, right clicking on the loaded Virtualdrive and selecting Eject from the popup menu (Figure 5-2a)

Figure 5-2a


5.3 VCD Properties

The VCD Properties window shows VCD attributes such as its storage location, file size and CD type.

From the Properties window you can also edit the VCD description, add an Auto-Run command, set its default Virtual drive or assign a Hot-Key to run the VCD.

5.3-1 Opening the VCD Properties window

Right-click on a VCD icon and select "Properties" from the pop-up menu to open the "VCD Properties" window (Figure 5-3a).

Figure 5-3a

5.3-2 Changing the VCD Description

Open the VCD Properties window (Section 5.3-1) and simply type the new description into the Label box.

5.3-3 Changing the Auto-run command

Open the VCD Properties window (Section 5.3-1) and use the browse button to point to the location of the program.

5.3-4 Changing the Default VirtualDrive

Open the VCD Properties window (Section 5.3-1), click on the Virtual Drive drop box and select a new default drive.

5.3-5 Using Hot-Keys to run VCDs

Open the VCD Properties window (Section 5.3-1), .tab down to the Hotkeys box and press a key (Figure5-3b), e.g. pressing C will create Ctrl +Alt + C as the new Hotkey.

Sequence for the selected VCD: Press Ctrl then Alt then the character key to insert the VCD.

Figure 5-3b

5.3-6 Viewing a VCD's contents

There are several methods of viewing the contents of a VCD.

Method 1 Right-click the icon of an inserted VCD, then select Browse from the pop-up menu.

Method 2 Right-click on the VirtualDrive icon in the System tray and select Browse VCD.

Method 3 Launch Windows Explorer and select the VCD drive.

Method 4 (Audio CD only) Open the VCD Properties window by right-clicking on the VCD icon and selects Properties from the drop menu.

With the Properties window open, select the Audio page

Note: * in above window shows us the information that this track is available or usable.


5.4 Adding additional VirtualDrives

To change the number of VirtualDrives in your system (the maximum is 23), select ->View->Drives or clicks on [image] button to open the VirtualDrives dialog( Figure 5-4a). Check each Virtual drive to be added, then click on OK.

In Windows 98/Me/NT4, the popup window is different (Figure 5-4b). From here, you can set Virtual Drive number directly by typing the number in the box. System will prompt you to restart your computer to have the changes take effect after setting.

5-4a

5-4b

The number of Virtual Drives is not always the same in different computers. It indicates how many disk symbols are usable. Generally speaking, you’d better not use up all symbols if new devices such as physical CD-ROM is to be installed in computer.


5.5 Deleting VCD icons or VCD files

Step 1 Click on the VCD you want to remove from the VirtualDrive Manager, and either (a) select File on the menu bar then Delete or (b) right click in the right pane of the Manager and select Delete (Figure 5-5a) or (c) click on the Delete button.

Figure 5-5a

Step 2 Click OK to remove only the VCD icon from VirtualDrive Manager. To remove both the VCD icon from VirtualDrive Manager, and its corresponding VCD file from the hard disk check the 'Delete both the VCD icon and the VCD file, then click OK


5.6 Searching VCDs

Search VCD facilitates users to search for wanted VCD files, and add them into VirtualDrive manager. Please follow these steps:

Click on file and select Search from the drop menu (figure5-6a) or use CTRL+F to open Search VCD dialog box (figure 5-6b):

5-6a

5-6b

Name: You may determine what kind of file to search by selecting file format in the Name drop menu. Moreover, you can choose whether or not search subfolders by checking the checkbox (shown as above figure).

Path: You can select a specified driver to research by choosing the driver in Path drop menu. To select another path, please click on [image] button.

Click on Search, the files being searched will be displayed in the window. Select a certain file or multiple files (by holding down Ctrl or Shift) you have searched, and click Add to put them into the Virtual CD Manager window.


5.7 Adding VCD files to run on your VirtualDrives

To use an existing VCD file on your hard drive or on another computer in a network, you must first add a VCD icon to the VirtualDrive Manager window. There are several ways to do this:

Method 1 - Drag and drop the VCD file from Windows Explorer into VirtualDrive Manager.

Method 2 - From the "File" menu of VirtualDrive Manager, select "Add " to open the Add VCD browser (Figure 5-6a). Use the browser to select and add VCD files.

Method 3 Right click in the left pane of the VirtualDrive Manager and select ADD to open the Add VCD window (Figure 5-6a). From here you can browse to locate VCD files on your PC .

Method 4 Click on the Add button to open the Add VCD window (Figure 5-6a).

Figure 5-6a


5.8 Changing the VirtualDrive Manager View

From the “View” menu in VirtualDrive Manager or View [image] button, you can choose to display the VCDs with large icons,

small icons, or in a detailed file list.


5.9 VirtualDrive Manager Settings

From the View menu of VirtualDrive Manger, select Settings to open the settings Option window, shown below.

5.9-1 Toolbar settings

Use large icons: Sets the size of the buttons icons on the toolbar.

Show button text length: Sets the number of text characters to be displayed within the toolbar buttons.

Show Control Tip text: Sets whether to display control tips popup test, when the mouse pointer hovers over a toolbar button.

Flat buttons: Merges the toolbar button “outline” into the toolbar.

Select Buttons: Clicking on Select buttons, opens a dialog box offering a range of alternative buttons (Figure 5-8a). From here you can add/remove or change the order of toolbar buttons used on the VirtualDrive toolbar.

Figure 5-8a


5.9-2 Animation ON/OFF

Sets the VCD Insert/Eject animation ON or OFF.


5.9-2 Animation ON/OFF

5.9-3 Miscellaneous Settings

Show VirtualDrive splash screen at startup: The VirtualDrive Manager will display the VirtualDrive logo when the program loads.

Keep VCDs inserted when restarting: VCDs that were inserted into any VirtualDrive on shutdown will be inserted at startup.

Add VirtualDrive icon to the System Tray: The VirtualDrive icon will be added to the bottom right hand side of the Windows taskbar.

Enable CD Auto-run: This feature will be enabled if this box is checked. Keep in mind that all CD drives will be affected by this setting. This includes physical drives as well as VirtualDrives.

(Note: New settings will not take effect until VirtualDrive is reloaded.)


5.10 Running VCDs using command line syntax

Using the command line syntax for VirtualDrive is a powerful way of automating repetitious inserting VCDs.

The basic syntax is described below:

Each command starts with the term "VDrive." A VirtualDrive can be referenced by its drive letter, e.g. E:, F:, G: or a number corresponding to the position of the VirtualDrive. For example, if drives E, F and G are VirtualDrives, then drive F can be referred to as “2:”. Once a VirtualDrive is referenced, you can then issue a command to tell VirtualDrive what to do next.

Available commands are:

1. Vdrive <drive letter:> <VCDfilename> /I [@cmd] [/M] [/NA] => Insert VCD

2. Vdrive <drive letter:> /E [/M] => Eject VCD

If successful, returns 0, otherwise 1.

3. VDrive /drive: Returns the number of VirtualDrives available

Note: Commands shown in square brackets[ ]are optional.

4. /I Insert a VCD

5. /E Eject a VCD

6. [/M] Show message

7. [@<path><filename>] Run a program on the VCD. To use this, you must include the full path showing the location of the program to be run and the name of the executable file.

Using the command line for creating shortcuts to run VCDs

Using command line instructions is an ideal method for implementing customized shortcuts to run your VCDs.

Step 1 - Write down what you want the shortcut to do, e.g. Vdrive ·E:· "C:\VCDCollection\Age of Kings"· /I ·@E:\Age.exe

Note: · - The dot shows where a blank space must be inserted.

The above example, read from left to right works as follows:

Vdrive -tells Windows that the following commands will be executed by Vdrive

E: -selects VirtualDrive E:

"C:\VCDCollection\Age of Kings"-adds the path and the name of the VCD file to load

Note: If there are any spaces in the character string, quotation marks must be used.

/I -tells the Vdrive program to insert the VCD

@ -tells Vdrive to execute a program

E:\Age.exe - tells Vdrive where the program is by specifying the drive (E:) and the name of the file to run (Age.exe).

Step 2 Create a shortcut by right clicking on an empty space on the Windows desktop and select "New" then "Shortcut."

Step 3 In the “Create Shortcut” dialog box, enter the command line from Step 1.

Example: Vdrive E: "C:\VCDCollection\Age of Kings" /I @E:\Age.exe


Chapter 6 Rapid Cache®

6.1 Rapid Cache Overview

Rapid Cache is a unique CD caching utility program that uses an incremental caching algorithm found only in VirtualDrive.

6.2 Rapid Cache Features

· Rapid Cache does not use your valuable hard drive space for caching.

· Uses the latest incremental caching technology.

· Makes your CDs or VCDs drive run at lightning speed.

· Provides one-step cache mode reconfiguration, without having to reboot your system.

· Rapid Cache is completely transparent to your system. Therefore, it will not conflict with other caching programs or memory managers.

· Rapid Cache comes with:

· CD Browser:CD browser lets you see the features and capabilities and attributes of a CD.

· Performance Evaluation tool: The Performance evaluation tool can test the performance and abilities of your CD drive. Including:

· data transfer rate

· track segment access time for Inner/Outer tracks, 1/3, 1/2 or full strokes.

This feature enables you to objectively compare performance differences between various brands of CD drive.


6.3 The Rapid Cache Manager

Rapid Cache Manager offers four utility packages spread over four pages. Each of these pages will be described in detail hereafter.

Note: Rapid Cache gets better performance without Windows CD read-ahead function. The VirtualDrive setup program will disable it automatically. However, there are some CD titles that may turn it on again. In these cases, you may need to follow steps below to disable "read-ahead" manually.

(1) From the "Control Panel" double-click on the "System" icon to open the "System Properties" window.

(2) Select the "Performance" tab then click on "File System..."

(3) Select the CD-ROM tab

(4) In the "Optimize access pattern for:" drop-down list, select "No read-ahead."

(5) Click OK to affect the new setting.

6.3-1 The Cache Settings

The Cache Settings page allows you to choose a cache configuration that can be tailored to the type of file access that works best for your hardware.

By experimenting with each of the three different caching modes to gain a maximum “Save Ratio”, overall CD and VCD performance can be dramatically improved.

When experimenting with various settings to maximize CD or VCD performance, you should flush the cache buffer (by clicking on the Reset Cache button) each time you change the settings to give a more precise evaluation of performance.


6.3-2 Caching Modes

Rapid Cache can implement 3 different cache modes.

· Incremental mode.

· MAX mode

· MIN mode

Clicking on the cache mode option radio boxes immediately switches Rapid Cache's cache mode.

1. Incremental caching mode:

When you request data from your CD, Rapid Cache will read the data as a logical block, and then places part of the data into the cache buffer. The next time you need the data from this block, Rapid Cache will increase the cache size for this block and store more of the data block into the cache buffer. Using this incremental algorithm, Rapid Cache makes more intelligent use of your cache by retaining the most significant data in the cache buffer.

2. Max caching mode:

Maximum caching mode reads the whole data blocks into the cache buffer together with the relevant index and directory files.

3. Min caching mode:

Minimum caching mode will read only directories and index files into the cache buffer. Minimum caching mode is recommended if you set the cache size to less than 514 KB in Rapid Cache.

4. No caching mode:

Allows Windows to handle all caching activity.


6.3-3 Cache file read size Control

Above the Cache mode check boxes is a drop list where the cache file cut-off size may be set. By choosing an appropriate cache file size in combination with the cache size, you can minimize the number of file block reads and maximize the use of your cache space.


6.3-4 Total Read, Saved Read and Saved Ratio

Statistical information maintained by the Rapid Cache Manager creates a detailed profile about the CD or VCD activity for the current cache settings.

Total read: The total number of sectors requested from a CD drive or VirtualDrive.

Saved read: The number of sectors that are read from the cache buffer rather than from the CD or VCD. The greater the number of sectors read from the cache buffer, the greater the caching efficiency.

Saved (or Hit) Ratio: Saved Read divided by the Total Read. The higher the saved ratio, the better overall caching efficiency.

6.3-5 Resetting the Cache buffer

Clicking on Reset will flush the cache buffer and reset any statistical data collected. When experimenting with various settings to maximize CD or VCD performance, you should flush the cache buffer each time you change the settings to give a more precise evaluation of performance.


6.3-6 Changing the cache size

Rapid Cache allows you to reconfigure the cache setup instantly, without having to reboot the system.

To change the cache size, select a cache size from the “New Cache Size” drop-down list, then click the Reset Cache button.

Note: Rapid Cache reserves at least 3MB of system RAM for other Windows applications.


6.3-6 Changing the cache size

6.3-7 Rapid Cache and Video Files

A video file is intended to be played at a constant rate. Video files are generally very large in size, therefore storing video file information in cache will just waste your valuable cache space. Rapid Cache is able to detect video files when they are accessed, and automatically sets an appropriate cache size.


6.4-1 Viewing CD/VCD Drive Information

6.4 CD/VCD Information and Preformance

6.4-1 Viewing CD/VCD Drive Information

On this page, Rapid Cache shows the properties of your CD or VCD drives. It includes data mode, write capability, audio channel support, sub-channel, vendor and product revision information.


6.4-2 Viewing CD/VCD Properties

The CD properties inspector displays a range of information: Volume ID, CD size, CD type, copyright information, written date, publisher, and tracks information.


Chapter 7 Uninstalling

7.1 Uninstalling VirtualDrive

Step 1 Close any other programs which may be running

Step 2 If the VirtualDrive icon is displayed in the System tray, right click on the icon and select Exit from the pop-up menu.

Step 3 To uninstall the VirtualDrive program, click on Start in the Windows taskbar, select (a) Programs/VirtualDrive/Uninstall VirtualDrive or (b) alternatively select Start/Settings/Control Panel and double click on the Add/Remove Programs icon to open the Add/Remove Programs dialog (Figure 7-1a), select VirtualDrive then click on the Add/Remove button. Either method will launch the VirtualDrive Uninstall Wizard (Figure 7-1b). Click on Remove to continue.

Figure 7-1a

Figure 7-1b

Step 4 Click on Finish to complete the uninstall.

the uninstall program will now remove all files created by VirtualDrive, except the virtual CD files (files with the “VCD” extension). These CD files can be deleted by using Windows Explorer.


Chapter 8 Appendix

Software License Agreement

FarStone Technology INC. (FARSTONE)END-USER LICENSE AGREEMENT FOR VIRTUALDRIVE PERSONAL EDITION, HEREAFTER REFERRED TO AS THE "SOFTWARE"

PLEASE READ CAREFULLY: THE USE OF THIS "SOFTWARE" IS SUBJECT TO THE "SOFTWARE" LICENSE TERMS OF FARSTONE AND OTHER LICENSORS WHOSE SOFTWARE MAY BE BUNDLED WITH THIS PRODUCT.

BY YOUR USE OF THE "SOFTWARE" INCLUDED WITH THIS PRODUCT YOU AGREE TO THE LICENSE TERMS REQUIRED BY THE LICENSOR OF THE "SOFTWARE", AS SET FORTH BELOW. IF YOU DO NOT AGREE TO THE LICENSE TERMS APPLICABLE TO THE "SOFTWARE", YOU MAY RETURN THE ENTIRE UNUSED PRODUCT FOR A FULL REFUND.

In return for acquiring a License to use the Farstone "Software", which may include software from third party licensors, trial versions or copies of the "Software" and patches made available by Farstone, and the related documentation, you agree to the following terms and conditions:

A. Single User License: This Agreement grants you, the Licensee, a License to:

(a) Use the "Software" on a single computer system or network, and only by a single user at a time. If you wish to use the "Software" for more users, you will need an additional License for each user.

(b) Make one copy of the "Software" in machine readable form solely for back-up purposes, provided you reproduce FarStone's copyright proprietary legends. Notwithstanding the foregoing, the "Software" may be used on the home, laptop or other secondary computer of the principal user of the "Software", and an additional copy of the "Software" may be made to support such use. As used in this License, the "Software" is "in use" when it is either loaded into RAM or installed on a hard disk or other permanent memory device. The "Software" may be "in use" on only one computer at any given time. (Different License terms and fees are applicable for networked or multiple user applications.) As a specific condition of this License, you agree to use the "Software" in compliance with all applicable laws, including copyright laws, and that you will not copy, transmit, perform or distribute any audio or other content using the "Software" without obtaining all necessary Licenses or permissions from the owner of the content.

B. Multiple User License: This Agreement grants you, the Licensee, a License to:

Make one copy of the "Software" in machine readable form solely for back-up purposes, provided you reproduce FarStone's copyright proprietary legends.

You must acquire and dedicate a License for each separate computer on which any part or portion of the "Software" is installed or run. As used in this License, the "Software" or any part or portion of the "Software" is "in use" when it is either loaded into RAM or installed on a hard disk or other permanent memory device including any networked or shared environment where either direct or indirect connections are made through software or hardware which pools or aggregates connections..

As a specific condition of this License, you agree to use the "Software" in compliance with all applicable laws, including copyright laws, and that you will not copy, transmit, perform or distribute any audio or other content using the "Software" without obtaining all necessary Licenses or permissions from the owner of the content.

C. Restrictions: You may not distribute copies of the "Software" to others or electronically transfer the "Software" from one computer to another over a network. You may not post or otherwise make available the "Software", or any portion thereof, in any form, on the Internet. You may not use the "Software" in a computer service business, including in time sharing applications. The "Software" contains trade secrets and, in order to protect them, you may not decompile, reverse engineer, disassemble, or otherwise reduce the "Software" to a human-perceivable form. YOU MAY NOT MODIFY, ADAPT, TRANSLATE, RENT, LEASE, LOAN, RESELL FOR PROFIT, DISTRIBUTE, NETWORK OR CREATE DERIVATIVE WORKS BASED UPON THE "SOFTWARE" OR ANY PART THEREOF.

D. Ownership: As Licensee, you own the media upon which the "Software" is recorded or fixed, but Farstone and its Licensors retain title and ownership of the "Software" recorded on the original media and all subsequent copies of the "Software", regardless of the form or media in which or on which the original and other copies may exist. This License does not grant, convey or in any way transfer ownership of the "Software".

E. Separation of Components: The "SOFTWARE" is licensed as a single product. Its component parts may not be separated for use on more than one computer, not withstanding reference to Section B of this License agreement where Multiple user Licenses have been purchased.

F. Confidentiality: You agree to maintain the "Software" in confidence and that you will not disclose the "Software" to any third party without the express written consent of Farstone. You further agree to take all reasonable precautions to preclude access of unauthorized persons to the "Software".

G. Term: This License shall continue for as long as you use the "Software". However, it will terminate if you fail to comply with any of its terms and conditions. You may terminate the License at any time by destroying the "Software" (including the related documentation) together with all copies or modifications in any form. Farstone will have the right to terminate our License immediately if you fail to comply with any term or condition of this Agreement. Upon any termination, including termination by you, you must destroy the "Software" (including the related documentation), together with all copies or modifications in any form. the Limitations, Warranties and Liability set out below shall continue in force even after any termination.

H. Transfer: You may transfer the "Software" License to someone else, only if you assign all of your rights under this License, cease all use of the "Software", erase or destroy any copy (including the hard disk copy) made in support of your use of the "Software", and the other person agrees to the terms of this License.

If the "Software" is an upgraded from other "Software", whether from us or another supplier, you may use or transfer the "Software" only in conjunction with the upgraded "Software", unless you destroy it. If the "Software" is an upgrade from a FarStone, you may only use that upgraded "Software" in accordance with this License.

I. Special Terms Applicable to Databases. Where a database is included with the "Software", you acknowledge that it is licensed only in connection with the use of the "Software" to perform disc creation, and that the database and all data derived there from must be maintained in confidence in accordance with the provisions of Section E of this document. This License does not grant you any rights to distribute or disclose such a database or data contained therein.

J. Limited Warranty: Farstone and its Licensor warrant only that the media upon which the "Software" is furnished will be free from defects in material or workmanship under normal use and service for a period of thirty (30) days from the date of delivery to you. FARSTONE AND ITS LICENSORS DO NOT AND CANNOT WARRANT THE PERFORMANCE OR RESULTS YOU MAY OBTAIN BY USING THE "SOFTWARE" OR DOCUMENTATION. THE FOREGOING STATES THE SOLE AND EXCLUSIVE REMEDIES FARSTONE AND ITS LICENSORS WILL PROVIDE FOR BREACH OF WARRANTY. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, FARSTONE AND ITS LICENSORS MAKE NO WARRANTIES, EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED, AS TO NON-INFRINGEMENT OF THIRD PARTY RIGHTS, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some states do not allow the exclusion of implied warranties or limitations on how long an implied warranty may last, so the above limitations may not apply to you. This warranty gives you specific legal rights and you may also have other rights which vary from state to state.

The entire liability of Farstone and its Licensors, and your exclusive remedy for a breach of this warranty, shall be: (a) the replacement of any media not meeting the above limited warranty which is returned to Farstone; or (b) if Farstone or its distributor is unable to deliver replacement media which is free from defects in materials or workmanship, you may terminate this Agreement by returning the "Software" and your money will be refunded.

K. Limitation of Liability: IN NO EVENT WILL FARSTONE OR ITS LICENSORS BE LIABLE TO YOU FOR ANY INCIDENTAL, CONSEQUENTIAL OR INDIRECT DAMAGES, INCLUDING ANY LOST PROFITS, LOST SAVINGS, OR LOSS OF DATA, EVEN IF FARSTONE OR A LICENSOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY. Some states do not allow the exclusion or limitation of special, incidental, or consequential damages, so the above limitation or exclusion may not apply to you.

L. Bundling: In no case may the "SOFTWARE" be bundled with hardware or other software without written permission from Farstone.

M. Export: You acknowledge that the laws and regulations of the United States and/or other countries may restrict the export and re-export of the "Software". You agree that you will not export or re-export the "Software" or documentation in any form in violation of applicable law in the United States and/or foreign law.

N. General: You acknowledge that you have read this Agreement, understand it, and that by using the "Software" you agree to be bound by its terms and conditions. You further agree that it is the complete and exclusive statement of the agreement between Farstone and you, and supersedes any proposal or prior agreement, oral or written, and any other communication between Farstone and you relating to the subject matter of this Agreement. No additional or any different terms will be enforceable against Farstone unless Farstone gives its express consent, including an express waiver of the terms of this Agreement, in writing signed by an officer of Farstone. You assume full responsibility for the use of the "Software" and agree to use the "Software" legally and responsibly.

Should any provision of this Agreement be declared unenforceable in any jurisdiction, then such provision shall be deemed severable from this Agreement and shall not affect the remainder hereof. All rights in the "Software" not specifically granted in this Agreement are reserved by FarStone.

Should you have any questions concerning this Agreement, you may contact Farstone by writing to:

FarStone Technology Inc.

Legal Department

15550-B, Rockfield Blvd., Suite 100

Irvine, CA 92618


FAQ

1. Can I use VirtualDrive Personal Edition on a network?

Yes, the Personal Edition of VirtualDrive allows you to use and share VCD files over a Network.

2. After VirtualDrive is installed, why can’t my system find the real CD-ROM drive?

The number of drives installed on your system is larger than the available drive letters. Add the following statement to the C:\CONFIG.SYS file and then reboot your system.

3. The setup program failed after I click on "Continue" for the welcome screen?

You are using an old DOS-compatible driver (16-bit) for the CD-ROM drive. Remove the CD-ROM driver command from CONFIG.SYS file, and then run the "Add new hardware" program in the "Control Panel." Let Windows find a suitable 32-bit driver for your CD-ROM drive. If Windows cannot properly install a 32-bit driver, you need to contact the hardware manufacture for the correct driver for your version of Windows.

4. My CD-ROM drive letter was changed?

You can assign a specific drive letter to a CD-ROM drive by the following steps:

(1) Click on "System" in "Control Panel" Window.

(2) Select "Device Manager" in "System" Window.

(3) Click on "CD-ROM" item, then double click the physical CD-ROM drive

(4) Select "Settings", and then set the drive letter.

Note: Please assign drive letters for all of your CD-ROMs, including physical and Virtual CD drives.

5. What will happen to my VCD files if I uninstall VirtualDrive?

The VirtualDrive uninstall program will purge all of the files created by VirtualDrive except for files ending with the extension VCD (e.g. myfile.vcd). You can "Add" these files again if you reinstall the VirtualDrive program or manually delete them by using the "Explorer" file manager.

6. Why does the CD-ROM application still ask me to insert the CD when the virtual CD is already inserted?

You had installed the CD-ROM application from the physical drive. Some CD-ROM applications run only from the CD-ROM drive that they were originally installed from. Uninstall the CD-ROM application, and then reinstall the CD-ROM application from the VirtualDrive.

7. What level of compression can be achieved by converting CD contents into a VCD file?

VirtualDrive provides very good compression for uncompressed CD contents (about a 50% savings). The space saved will be about 10%-30% for those CD titles containing data that is already compressed.

8. How much memory does VirtualDrive take?

VirtualDrive uses 64KB of memory per VirtualDrive to cache the most recently used data.

9. Where does Rapid Cache allocate the cache buffer?

Rapid Cache is incorporated with Windows’ dynamic memory management. It swaps out automatically when Windows needs more memory.

10. What is the maximum cache buffer size for Rapid Cache?

It is limited only by the size of the physical memory (RAM).

11. What is the maximum number of files can be cached at the same time?

The number varies, depending on the size of the physical memory (RAM).

12. Why am I not able to build a VCD from an audio CD?

You must select CD Audio on the "Recording Control" windows and check the "Recording Input Monitor" on "Advanced Controls for Recording Control" Window. If you still have problems, try using "Sound Recorder" to record from CD Audio. If this fails, the sound card is not installed properly. You may need to refer to your sound card installation manual or contact the hardware manufacturer.

To start "Recording Control":

Click "Volume control" on the “Build VCD from CD Audio” window of VirtualDrive. Click "Option", then select "Properties" from the menu. In the Properties window select "Recording", check the "CD Audio" box, and then click "OK". To start "Advanced Controls for Recording Control": On the "Recording Control" window, click "Advanced".

To start "Sound Recorder": Click "Start", select "Programs", select "Accessories", select "Multimedia", choose "Sound Recorder".

13. Why don't I have CD Player on my system?

Click "Add/Remove Programs" of "Control Panel", select "Windows Setup", double-click "Multimedia", check "CD Player" box if it exists. If it does not exist, check the "Media Player" box. Click "OK” to add the player into your system.

Note: If you are using Windows 95, you can use the "Media Player" to play Audio CDs.

14. Where is cache buffer allocated from by Rapid Cache?

Virtual memory. Rapid Cache is incorporated with dynamic memory management. It swaps out automatically when Windows 9x/Me needs more memory.


Notes

ISO9660 Limitations:

1. Maximum path and file name cannot exceed 128 bytes in length.

[C:\directoryX\DirectoryY\myFileName .vcd]

In general 1 English character uses 1 byte and 1 Chinese, Japanese or Korean character uses 2 bytes

2. The number of directory levels cannot be greater than 15 deep.

eg. c:\My Documents\govtsite\About T_M_P

The above example shows a directory depth (or level) of 3.